List all the assets of a group

Purpose: Use this API to view all the assets that are in a particular group. You must specify the ID of the group for which you want to view the associated assets.

You may also optionally, use a query parameter updated_after, that will display only those assets that were updated after a certain specified date.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/groups/<id>/assets')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

Vehicle

  • Type: Object
  • Description: Details of a specific vehicle.

id

  • Type: integer
  • Description: The unique identifier of the vehicle.

number

  • Type: string
  • Description: The number assigned to the vehicle.

status

  • Type: string
  • Description: The current status of the vehicle (e.g., active, inactive).

make

  • Type: string
  • Description: The manufacturer or brand of the vehicle.

model

  • Type: string
  • Description: The specific model name of the vehicle.

Path Params
string
required

Specify the ID of the group for which you want to list all the assets.

Query Params
date

Specify the date after which the assets were updated.

int32
Defaults to 25

Denotes the number of records per page.

int32
Defaults to 1

Denotes the current page.

Headers
string

Time zone used to format timestamps.

boolean

System of units to use to convert different metrics. true for metric units and false for imperial units.

int32

Specify the ID of the Fleet Admin or the Fleet Manager who is accessing this endpoint.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json